ObjectStorageBucketChartResponse
Successful response with one ObjectStorageBucketChart
Always 0 in a successful response
0Always null in a successful response
data objectrequired
Resource returned by the operation
Id of the object storage (GET /api/v3/object-storages/{object_storage_id})
Id of the bucket (GET /api/v3/object-storages/{object_storage_id}/buckets/{bucket_id})
Interval between two points, as an ISO 8601 duration: always P1D, one point per day
P1Dpoints object[]required
Usage of the bucket day by day, oldest first
UNIX timestamp in milliseconds
Space used by the active objects on the day, in bytes
Space of the deleted objects still counted on the day, in bytes
Number of active objects on the day
Number of deleted objects still counted on the day
Number of API calls on the day
Always null: only the paginated lists have a meta
null{
"error": 0,
"message": "string",
"data": {
"object_storage_id": 0,
"bucket_id": 0,
"interval": "P1D",
"points": [
{
"x": 0,
"active_storage_bytes": 0,
"deleted_storage_bytes": 0,
"active_objects": 0,
"deleted_objects": 0,
"api_calls_count": 0,
"storage_wrote_bytes": 0,
"storage_read_bytes": 0,
"ingress_traffic_bytes": 0,
"egress_traffic_bytes": 0
}
]
}
}